Method: projects.locations.clusters.getCertificateAuthority

Mendapatkan detail informasi otoritas sertifikat untuk cluster Redis.

Permintaan HTTP

GET https://redis.googleapis.com/v1alpha1/{name=projects/*/locations/*/clusters/*/certificateAuthority}

URL menggunakan sintaks gRPC Transcoding.

Parameter jalur

Parameter
name

string

Wajib. Nama resource otoritas sertifikat cluster Redis menggunakan formulir: projects/{projectId}/locations/{locationId}/clusters/{clusterId}/certificateAuthority dengan locationId mengacu pada region Google Cloud.

Isi permintaan

Isi permintaan harus kosong.

Isi respons

Certificate authority cluster Redis

Jika berhasil, isi respons memuat data dengan struktur berikut:

Representasi JSON
{
  "name": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "managedServerCa": {
    object (ManagedCertificateAuthority)
  }
  // End of mutually exclusive fields.
}
Kolom
name

string

ID. Nama unik resource dalam cakupan ini, termasuk project, lokasi, dan cluster menggunakan formulir: projects/{project}/locations/{location}/clusters/{cluster}/certificateAuthority

informasi ca server Berikut adalah daftar kolom yang saling eksklusif. Maksimal satu kolom akan ditetapkan dalam respons:
managedServerCa

object (ManagedCertificateAuthority)

Akhir kolom yang saling eksklusif.

Cakupan otorisasi

Memerlukan salah satu cakupan OAuth berikut:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/redis.read-write

Untuk mengetahui informasi selengkapnya, lihat Authentication Overview.

ManagedCertificateAuthority

Representasi JSON
{
  "caCerts": [
    {
      object (CertChain)
    }
  ]
}
Kolom
caCerts[]

object (CertChain)

Rantai sertifikat CA berenkode PEM untuk autentikasi server terkelola redis

CertChain

Representasi JSON
{
  "certificates": [
    string
  ]
}
Kolom
certificates[]

string

Sertifikat yang membentuk rantai CA, dari urutan leaf hingga root.